#ifndef __ES_BRK
#  define __ES_BRK

/**** Atom type ****/

typedef struct {
  int           i, f;
  ES_QCHAR      t;
  int           c;
} ES_ATMTYPE;

/**** Prototypes ****/

ES_BRK          *BrkNew(void);
ES_BOOL         BrkRead(char *, ES_BRK *);
ES_BOOL         BrkWrite(char *, ES_BRK*);
void            brk_translate(ES_BRK *, float, float, float);
void            brk_x_rotate(ES_BRK *, float);
void            brk_y_rotate(ES_BRK *, float);
void            brk_z_rotate(ES_BRK *, float);
void            brk_copy(ES_BRK *,const ES_BRK *);
void            BrkDelete(ES_BRK *);
float           brk_rms(ES_BRK *, ES_BRK *);
/* float brk_bumps(ES_BRK *, ES_BRK *, float); */
float           brk_contacts(ES_BRK *, ES_BRK*, float);

#endif
